import os

const
    dashinitConfig = staticRead("../resources/config.toml")

proc createConfigFile*() =
    var configPath: string

    # Determine the build type
    when defined(release):
        # Determine the operating system
        when defined(windows):
            configPath = os.getHomeDir() / "AppData" / "Roaming" / "dashinit" / "config.toml"
        else:
            configPath = os.getHomeDir() / ".config" / "dashinit" / "config.toml"
    else:
        configPath = getAppFilename().parentDir() / "config.toml"

    # Create the directory if it doesn't exist
    let dir = configPath.parentDir()
    if not dir.dirExists():
        dir.createDir()

    # Write the template config to the determined path
    if not configPath.fileExists():
        writeFile(configPath, dashinitConfig)

when isMainModule:
    createConfigFile()
