# src/handlers/initialRunHandler.nim
# TODO fix messed up initial config creation

import os
import ../lib/styledOut
import ../lib/environment

# Ensure the templates directory exists
proc ensureTemplatesDirExists() =
    if not dirExists(templateBaseDir):
        try:
            os.createDir(templateBaseDir)
        except:
            styledPrint("Failed to create templates directory at " & $templateBaseDir, error)

# Ensure the config file exists
proc ensureConfigFileExists() =

    # Create the directory if it doesn't exist
    let dir = confBaseDir
    if not dir.dirExists():
        try:
            dir.createDir()
        except:
            styledPrint("Failed to create config directory at " & $confBaseDir, error)

    # Write the template config to the determined path
    if not configPath.fileExists():
        try:
            writeFile(configPath, dashinitConfig)
        except:
            styledPrint("Failed to create config file at " & $configPath, error)

# Ensure the cache directory exists
proc ensureCacheDirExists() =
    # Create the directory if it doesn't exist
    let dir = cacheBaseDir
    if not dir.dirExists():
        try:
            dir.createDir()
        except:
            styledPrint("Failed to create cache directory at " & $cacheBaseDir, error)

# Ensure all initial directories and files are set up
proc initialSetup*() =
    echo "1"
    ensureTemplatesDirExists()
    echo "2"
    ensureConfigFileExists()
    echo "3"
    ensureCacheDirExists()
    echo "done"