import os

# Path of the default dashinit config
const dashinitConfig* = staticRead("../resources/config/config.toml")

let roamingAppData* = getEnv("APPDATA")
let localAppData* = getEnv("LOCALAPPDATA")
let homeDir* = os.getHomeDir()

# Base directory containing templates and other files
let dashinitBaseDir* = if hostOS == "windows":
    roamingAppData / "dashinit"
else:
    homeDir / ".local" / "share" / "dashinit"

# Dashinit config directory containing the config files
let confBaseDir* = if hostOs == "windows":
    roamingAppData / "dashinit"
else:
    homeDir / ".config" / "dashinit"

# Cache directory containing donwloaded templates used as cache
let cacheBaseDir* = if hostOs == "windows":
    localAppData / "dashinit"
else:
    homeDir / ".cache" / "dashinit"

# Get the template directory path based on the OS
let templateBaseDir* = dashinitBaseDir / "templates"

# Get the config file path based on the OS
let configPath* = confBaseDir / "config.toml"


# debug
# let contentsConf = execProcess("ls -l " & $confBaseDir)
# let contentsLocal = execProcess("ls -l " & $dashinitBaseDir)
# styledPrint("Contents of config path: " & $contentsConf, debug)
# styledPrint("Contents of local path: " & $contentsLocal, debug)