import terminal

type
    StyleKind* = enum
        info, warning, error, success, debug

proc styledPrint*(msg: string, kind: StyleKind) =
    case kind
    of info:
        styledEcho styleBright, fgBlue, "Info: ", resetStyle, fgBlue, msg, resetStyle
    of warning:
        styledEcho styleBright, fgYellow, "Warning: ", resetStyle, fgYellow, msg, resetStyle
    of error:
        styledEcho styleBright, fgRed, "Error: ", resetStyle, fgRed, msg, resetStyle
    of debug:
        styledEcho styleBright, styleDim, "Debug: ", resetStyle, styleDim, msg, resetStyle
    of success:
        styledEcho styleBright, fgGreen, msg, resetStyle

proc styledPrintln*(msg: string, kind: StyleKind) =
    styledPrint(msg & "\n", kind)
