import os, strformat
import ../lib/styledOut

proc copyFile*(src, dest: string): bool =
    try:
        os.copyFile(src, dest)
        # styledPrint(&"Successfully copied {src} to {dest}", success)
    except:
        styledPrint(&"Failed to copy {src} to {dest}", error)

proc copyDir*(src, dest: string) =
    if not dirExists(dest):
        createDir(dest)

    for kind, path in walkDir(src, relative=false):
        let relativePath = path.relativePath(src)
        let destPath = joinPath(dest, relativePath)

        if kind == pcFile:
            discard copyFile(path, destPath)
        elif kind == pcDir and path != src:
            if not dirExists(destPath):
                createDir(destPath)
            copyDir(path, destPath)

proc copyRecursive*(src, dest: string) =
    copyDir(src, dest)

# proc createDir(dir: string): bool =
#     try:
#         os.createDir(dir)
#         # styledPrint(&"Successfully created {dir}", success)
#     except:
#         styledPrint(&"Failed to create {dir}", error)